org.apache.ignite.internal.processors.cache

## Class GridCacheAtomicVersionComparator

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheAtomicVersionComparator

All Implemented Interfaces:
  Serializable, Comparator<GridCacheVersion>

    public class GridCacheAtomicVersionComparator
    extends Object
    implements Comparator<GridCacheVersion>, Serializable

Atomic cache version comparator.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheAtomicVersionComparator()`

### Method Summary

Methods
`int` `compare(GridCacheVersion one, GridCacheVersion other)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### GridCacheAtomicVersionComparator

    public GridCacheAtomicVersionComparator()

### Method Detail

#### compare

    public int compare(GridCacheVersion one,
              GridCacheVersion other)

Specified by:
  `compare` in interface `Comparator<GridCacheVersion>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015